Bug 436754 - Review Request: perl-Algorithm-FastPermute - Rapid generation of permutations
Review Request: perl-Algorithm-FastPermute - Rapid generation of permutations
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-10 05:46 EDT by Milos Jakubicek
Modified: 2008-09-14 18:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-05 06:00:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Milos Jakubicek 2008-03-10 05:46:02 EDT
Spec URL: http://www.fi.muni.cz/~xjakub/perl-Algorithm-FastPermute/perl-Algorithm-FastPermute.spec
SRPM URL: http://www.fi.muni.cz/~xjakub/perl-Algorithm-FastPermute/perl-Algorithm-FastPermute-0.999-1.fc8.src.rpm
Description: Algorithm::FastPermute generates all the permutations of an array. You pass a block of code, which will be executed for each permutation. The array will be changed in place, and then changed back again before "permute" returns. During the execution of the callback, the array is read-only and you'll get an error if you try to change its length.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=507677
Comment 1 Jason Tibbitts 2008-04-04 00:44:24 EDT
Builds fine and rpmlint is silent.

I don't understand where you see the clarified Artistic license in the upstream
source.  The copyright information says:

This module is free software. It may be used, redistributed
and/or modified under the same terms as Perl itself.

which would be "GPL+ or Artistic".  Do you have some other source of licensing
information for this software?

* source files match upstream:
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
X license field does not seem to match the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   perl(Algorithm::FastPermute) = 0.999
   perl-Algorithm-FastPermute = 0.999-1.fc9
   perl >= 0:5.006

* %check is present and all tests pass.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 2 Milos Jakubicek 2008-04-04 05:22:43 EDT
"This module is free software. It may be used, redistributed
and/or modified under the same terms as Perl itself."

=> therefore I've followed http://dev.perl.org/licenses/, where is a note from
Larry Wall:

"For those of you that choose to use the GNU General Public License, my
interpretation of the GNU General Public License is that no Perl script falls
under the terms of the GPL unless you explicitly put said script under the terms
of the GPL yourself."

Anyway I've corrected it to "GPL+ or Artistic" as you and our Perl Packaging
Guidelines suggest:)

Comment 3 Jason Tibbitts 2008-04-04 15:41:54 EDT
Looks good to me.

Comment 4 Milos Jakubicek 2008-04-04 16:19:02 EDT
New Package CVS Request
Package Name: perl-Algorithm-FastPermute
Short Description: Rapid generation of permutations
Owners: mjakubicek
Branches: F-7 F-8
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-04-04 18:12:14 EDT
cvs done.
Comment 6 Milos Jakubicek 2008-09-14 17:13:26 EDT
Package Change Request
Package Name: perl-Algorithm-FastPermute
New Branches: EL-5
Comment 7 Kevin Fenzi 2008-09-14 18:36:45 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.